PgpSignatoryFactory (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.signing.signatory.pgp

## [Java] Class PgpSignatoryFactory

- org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

- Creates PgpSignatory instances.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PgpSignatory` | `createSignatory(Project project, boolean required)`
    `PgpSignatory` | `createSignatory(Project project)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, boolean required)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name, boolean required)`
    `PgpSignatory` | `createSignatory(Project project, String propertyPrefix, String name)`
    `PgpSignatory` | `createSignatory(String name, String keyId, File keyRing, String password)`
    `PgpSignatory` | `createSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)`
    `protected Object` | `getQualifiedPropertyName(String propertyPrefix, String name)`
    `protected PgpKeyId` | `normalizeKeyId(String keyId)`
    `protected PgpSignatory` | `readProperties(Project project, String prefix, String name)`
    `protected PgpSignatory` | `readProperties(Project project, String prefix, String name, boolean required)`
    `org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(String keyId, File file)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(InputStream input, String keyId, String sourceDescription)`
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public PgpSignatory createSignatory(Project project, boolean required)

    - #### public PgpSignatory createSignatory(Project project)

    - #### public PgpSignatory createSignatory(Project project, String propertyPrefix, boolean required)

    - #### public PgpSignatory createSignatory(Project project, String propertyPrefix)

    - #### public PgpSignatory createSignatory(Project project, String propertyPrefix, String name, boolean required)

    - #### public PgpSignatory createSignatory(Project project, String propertyPrefix, String name)

    - #### public PgpSignatory createSignatory(String name, String keyId, File keyRing, String password)

    - #### public PgpSignatory createSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)

    - #### protected Object getQualifiedPropertyName(String propertyPrefix, String name)

    - #### protected PgpKeyId normalizeKeyId(String keyId)

    - #### protected PgpSignatory readProperties(Project project, String prefix, String name)

    - #### protected PgpSignatory readProperties(Project project, String prefix, String name, boolean required)

    - #### public org.bouncycastle.openpgp.PGPSecretKey readSecretKey(String keyId, File file)

    - #### protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(InputStream input, String keyId, String sourceDescription)

    - #### protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, String sourceDescription)